<?xml version="1.0" encoding="utf-8" standalone="no"?>
<?taxonomy-version 1.0.0.0?>
<?taxonomy-date 2025-04-17?>
<!--This is a generated XML file-->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xml="http://www.w3.org/XML/1998/namespace">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:label="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Dividends recognised as distributions to non-controlling interests</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:to="label_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestExpense" xlink:label="loc_ifrs-full_InterestExpense" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_InterestExpense" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Interest expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestExpense" xlink:to="label_ifrs-full_InterestExpense" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="loc_ifrs-full_FinanceIncomeCost" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_FinanceIncomeCost" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Finance income (cost)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FinanceIncomeCost" xlink:to="label_ifrs-full_FinanceIncomeCost" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxExpenseContinuingOperations" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Tax expense (income)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Interest received, classified as operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:to="label_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Income taxes paid, classified as operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:to="label_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="label_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Repayments of borrowings, classified as financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:label="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Repayments of bonds, notes and debentures</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:to="label_ifrs-full_RepaymentsOfBondsNotesAndDebentures" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Interest paid, classified as financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ReservesTotal" xlink:label="loc_Masterplast_ReservesTotal" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ReservesTotal" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Reserves total</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ReservesTotal" xlink:to="label_Masterplast_ReservesTotal" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_EarningsAttributableToOwnersOfParent" xlink:label="loc_Masterplast_EarningsAttributableToOwnersOfParent" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_EarningsAttributableToOwnersOfParent" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Earnings attributable to owners of parent</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_EarningsAttributableToOwnersOfParent" xlink:to="label_Masterplast_EarningsAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" xlink:label="loc_Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Other comprehensive income attributable to CCIRS transaction</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" xlink:to="label_Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" xlink:label="loc_Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Other comprehensive income (excluded hedging transaction)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" xlink:to="label_Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_EquityAttributableToOwnersOfParentAbstract" xlink:label="loc_Masterplast_EquityAttributableToOwnersOfParentAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_EquityAttributableToOwnersOfParentAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total equity attributable to owners of parent</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_EquityAttributableToOwnersOfParentAbstract" xlink:to="label_Masterplast_EquityAttributableToOwnersOfParentAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_EquityAttributableToOwnersOfParentAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Equity attributable to owners of parent</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_EquityAttributableToOwnersOfParentAbstract" xlink:to="label_Masterplast_EquityAttributableToOwnersOfParentAbstract2" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ReservesInTotal" xlink:label="loc_Masterplast_ReservesInTotal" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ReservesInTotal" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Reserves in total</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ReservesInTotal" xlink:to="label_Masterplast_ReservesInTotal" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ProfitLossAttributableOfParentCompany" xlink:label="loc_Masterplast_ProfitLossAttributableOfParentCompany" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossAttributableOfParentCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit loss attributable of parent company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossAttributableOfParentCompany" xlink:to="label_Masterplast_ProfitLossAttributableOfParentCompany" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" xlink:label="loc_Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Short term Borrowings and current portion of non-current borrowings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" xlink:to="label_Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ProfitLossAbstract1" xlink:label="loc_Masterplast_ProfitLossAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossAbstract1" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossAbstract1" xlink:to="label_Masterplast_ProfitLossAbstract1" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ProfitLossBeforeTaxAbstract" xlink:label="loc_Masterplast_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossBeforeTaxAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Profit (loss) before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossBeforeTaxAbstract" xlink:to="label_Masterplast_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossBeforeTaxAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossBeforeTaxAbstract" xlink:to="label_Masterplast_ProfitLossBeforeTaxAbstract2" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ProfitLossFromOperatingActivitiesAbstract" xlink:label="loc_Masterplast_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossFromOperatingActivitiesAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Profit (loss) from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_Masterplast_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossFromOperatingActivitiesAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_Masterplast_ProfitLossFromOperatingActivitiesAbstract2" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" xlink:label="loc_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Raw materials, services used, cost of goods sold</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" xlink:to="label_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Raw materials, services used, cost of goods sold</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" xlink:to="label_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold2" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_FinanceIncomeCostAbstract" xlink:label="loc_Masterplast_FinanceIncomeCostAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_FinanceIncomeCostAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Finance income (cost)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_FinanceIncomeCostAbstract" xlink:to="label_Masterplast_FinanceIncomeCostAbstract" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ComprehensiveIncomeAbstract2" xlink:label="loc_Masterplast_ComprehensiveIncomeAbstract2" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ComprehensiveIncomeAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ComprehensiveIncomeAbstract2" xlink:to="label_Masterplast_ComprehensiveIncomeAbstract2" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ComprehensiveIncomeAbstract22" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ComprehensiveIncomeAbstract2" xlink:to="label_Masterplast_ComprehensiveIncomeAbstract22" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ComprehensiveIncomeAbstract1" xlink:label="loc_Masterplast_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ComprehensiveIncomeAbstract1" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ComprehensiveIncomeAbstract1" xlink:to="label_Masterplast_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ComprehensiveIncomeAbstract12" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ComprehensiveIncomeAbstract1" xlink:to="label_Masterplast_ComprehensiveIncomeAbstract12" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" xlink:label="loc_Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Share of other comprehensive income of associates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" xlink:to="label_Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:label="loc_Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:to="label_Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_DeficitAndScrapOfInventories" xlink:label="loc_Masterplast_DeficitAndScrapOfInventories" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_DeficitAndScrapOfInventories" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Deficit and scrap of inventories</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_DeficitAndScrapOfInventories" xlink:to="label_Masterplast_DeficitAndScrapOfInventories" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" xlink:label="loc_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Dividends Paid Classified As Financing Activities -including NCI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" xlink:to="label_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Dividends Paid Classified As Financing Activities -including NCI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" xlink:to="label_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci2" />
  </link:labelLink>
</link:linkbase>